Package com.trilead.ssh2.packets

# Class PacketNewKeys

java.lang.Object
com.trilead.ssh2.packets.PacketNewKeys

public class PacketNewKeys extends Object
PacketNewKeys.

## Constructor Summary

Constructors
Constructor
Description
`PacketNewKeys()`
`PacketNewKeys(byte[] payload, int off, int len)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketNewKeys

public PacketNewKeys()

### PacketNewKeys

public PacketNewKeys(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()